package com.bonus.canteen.core.marketing.v2.rule.meal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@ApiModel("就餐规则简化入参")
public class RulePriceSimpleDTO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("是否在线订单 1 是 2 否")
   private Integer ifOnline;
   @ApiModelProperty("订单类型")
   private Integer orderType;
   @ApiModelProperty("订单日期")
   private LocalDate orderDate;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("设备sn码")
   private String deviceSn;

   public Long getCustId() {
      return this.custId;
   }

   public Integer getIfOnline() {
      return this.ifOnline;
   }

   public Integer getOrderType() {
      return this.orderType;
   }

   public LocalDate getOrderDate() {
      return this.orderDate;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getDeviceSn() {
      return this.deviceSn;
   }

   public RulePriceSimpleDTO setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public RulePriceSimpleDTO setIfOnline(final Integer ifOnline) {
      this.ifOnline = ifOnline;
      return this;
   }

   public RulePriceSimpleDTO setOrderType(final Integer orderType) {
      this.orderType = orderType;
      return this;
   }

   public RulePriceSimpleDTO setOrderDate(final LocalDate orderDate) {
      this.orderDate = orderDate;
      return this;
   }

   public RulePriceSimpleDTO setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public RulePriceSimpleDTO setStallId(final Long stallId) {
      this.stallId = stallId;
      return this;
   }

   public RulePriceSimpleDTO setDeviceSn(final String deviceSn) {
      this.deviceSn = deviceSn;
      return this;
   }

}
